import EquipmentMonitoring from "@/views/screens/screen-components/EquipmentMonitoring.vue";
import ProductionSituation from "@/views/screens/screen-components/ProductionSituation.vue";
import CompletionProductionPlan from "@/views/screens/screen-components/CompletionProductionPlan.vue";
import OrderInformation from "@/views/screens/screen-components/OrderInformation.vue";
import MaterialsCondition from "@/views/screens/screen-components/MaterialsCondition.vue";

export interface ScreenComponent {
  name: string;
  key: string;
  component: any;
  description: string;
}

// 每添加一个组件，都需要在这里添加一个键值对
export const componentsDicts: { [key: string]: ScreenComponent } = {
  // Add your components here
  EquipmentMonitoring: {
    name: "设备监控",
    component: EquipmentMonitoring,
    key: "EquipmentMonitoring",
    description:
      "This component shows the status of the equipment in real-time.",
  },
  ProductionSituation: {
    name: "生产量情况",
    component: ProductionSituation,
    key: "ProductionSituation",
    description:
      "This component shows the production situation of the company.",
  },
  DailyProductionS: {
    name: "生产计划完成情况",
    component: CompletionProductionPlan,
    key: "DailyProductionS",
    description: " This component shows the daily production statistics.",
  },
  OrderInformation: {
    name: "订单信息",
    component: OrderInformation,
    key: "OrderInformation",
    description: "This component shows the order information.",
  },
  MaterialsCondition: {
    name: "物料情况",
    component: MaterialsCondition,
    key: "MaterialsCondition",
    description: "This component shows the materials condition.",
  },
};

export const getComponetnByName = (name: string) => {
  return componentsDicts[name].component;
};
